%global goipath         github.com/godoctor/godoctor
Version:                0.6

%gometa

Name:           godoctor
Release:        2%{?dist}
Summary:        A golang refactoring tool
License:        BSD
URL:            %{gourl}
Source0:        %{gosource}

%description
%{summary}


%package %{goname}-devel
Summary:       %{summary}
BuildArch:     noarch

BuildRequires: golang(github.com/willf/bitset)
BuildRequires: golang(golang.org/x/tools/go/ast/astutil)
BuildRequires: golang(golang.org/x/tools/go/loader)

%description %{goname}-devel
%{summary}

This package contains library source intended for building other packages which
use import path with %{goipath} prefix.


%prep
%gosetup -q

# Remove vendored code.
rm -rf vendor


%build
%gobuildroot
%gobuild -o _bin/godoctor %{goipath}


%install
%goinstall

install -m 0755 -vd        %{buildroot}%{_bindir}
install -m 0755 -vp _bin/* %{buildroot}%{_bindir}/


%check
%global gotestflags %{gotestflags} -timeout 60m
%gochecks


%files
%doc README.md
%license LICENSE
%{_bindir}/godoctor

%files %{goname}-devel -f devel.file-list
%doc README.md
%license LICENSE


%changelog
* Wed Oct 10 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.6-2
- rebuilt

* Tue Aug 14 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.6-1
- First package for Fedora
